#1722 Highlight: fails to load

closed-fixed
None
7
2013-11-16
2013-06-29
will69
No

jEdit 5.2pre1 / Highlight 1.9.12 doesn’t load anymore:

"java.lang.NoSuchMethodError: org.gjt.sp.util.IOUtilities.closeQuietly(Ljava/io/Reader;)V"

This looks like somebody had a bright idea and removed some API that has become part of the Java platform without checking for any uses of that API. Now would that somebody care to fix the Highlight plugin, please? Or at least explain how to replace that API? Thanks a lot!

Discussion

  • will69
    will69
    2013-06-29

    • priority: 5 --> 7
     
  • Alan Ezust
    Alan Ezust
    2013-06-29

    There is binary breakage but the Highlight plugin, when it is compiled against 5.2, should work without any sourcecode changes.

     
  • Alan Ezust
    Alan Ezust
    2013-06-29

    • assigned_to: nobody --> kpouer
     
  • Joerg Spieler
    Joerg Spieler
    2013-08-30

    I am using the plugin a lot. It would be nice if somebody could provide a new version or attach it here.

     
  • Joerg Spieler
    Joerg Spieler
    2013-09-05

    Thanks, it works!

     
  • will69
    will69
    2013-09-06

    Irritatingly, the version of Highlight that was just released on Plugin Central does not work with jEdit 5.2. Was that an oversight or is the version from http://hoyo.free.fr/jEdit/Highlight.jar not backwards compatible with jEdit 5.1? (Both are labeled version 1.10.)

    Anyway, thanks for a working version!

     
  • Oh I think it was built with an old version of core.

     
  • Alan Ezust
    Alan Ezust
    2013-11-16

    • status: open --> closed-fixed
     
  • Alan Ezust
    Alan Ezust
    2013-11-16

    highlight 2.0 released.